package gridsim.dcworms;

import gridsim.GridSimTags;

/**
 * @author Marcin Krystek
 */
public class DCWormsTags extends GridSimTags {
	
	protected static final int GSSIMBASE = 600; 
	
	public static final int UPDATE= GSSIMBASE - 1;
	
	public static final int TIMER = GSSIMBASE + 1;
	
	public static final int TASK_READY_FOR_EXECUTION = GSSIMBASE + 2;
	
	public static final int TASK_EXECUTION_FINISHED = GSSIMBASE + 3;
	

	/**
	 * Message tag: query resource about its current state in object form (load, queues, etc.)
	 */ 
	public static final int QUERY_RESOURCE_DESC = GSSIMBASE + 4; 

	public static final int QUERY_RESOURCE_DESC_RESULT = GSSIMBASE + 5; 
	
	public static final int TASK_REQUESTED_TIME_EXPIRED = GSSIMBASE + 6;

	
    public static final int CREATED = 0;

    public static final int SUBMITTED = 1;
    
    public static final int READY = 2;

    public static final int QUEUED = 3;

    public static final int INEXEC = 4;

    public static final int SUCCESS = 5;

    public static final int FAILED = 6;

    public static final int CANCELED = 7;

    public static final int PAUSED = 8;

    public static final int RESUMED = 9;

    public static final int FAILED_RESOURCE_UNAVAILABLE = 10;

}